List All Lists
curl --request GET \
--url https://api.v2.dealmachine.com/v1/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.v2.dealmachine.com/v1/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.v2.dealmachine.com/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"list_id": "abc-123",
"name": "Miami High Value",
"source_type": "properties",
"build_type": "prospect",
"status": "completed",
"total_count": 45230,
"progress": 100,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:45Z"
},
{
"list_id": "def-456",
"name": "Vacant Land CA",
"source_type": "properties",
"build_type": "prospect",
"status": "completed",
"total_count": 12100,
"progress": 100,
"created_at": "2026-02-15T10:00:00Z",
"updated_at": "2026-02-15T10:00:30Z"
}
],
"pagination": {
"page": 1,
"per_page": 25,
"total": 2,
"has_more": false
}
}
Lists
List All Lists
List all saved lists for your organization
GET
/
v1
/
lists
List All Lists
Returns a paginated list of all saved lists for your organization, sorted by most recently updated.
integer
default:1
Page number.
integer
default:25
Results per page (1-100).
{
"data": [
{
"list_id": "abc-123",
"name": "Miami High Value",
"source_type": "properties",
"build_type": "prospect",
"status": "completed",
"total_count": 45230,
"progress": 100,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:45Z"
},
{
"list_id": "def-456",
"name": "Vacant Land CA",
"source_type": "properties",
"build_type": "prospect",
"status": "completed",
"total_count": 12100,
"progress": 100,
"created_at": "2026-02-15T10:00:00Z",
"updated_at": "2026-02-15T10:00:30Z"
}
],
"pagination": {
"page": 1,
"per_page": 25,
"total": 2,
"has_more": false
}
}
⌘I